Package org.eclipse.mat.query.registry

## Enum QueryObjectLink.Type

- java.lang.Object
- - java.lang.Enum<QueryObjectLink.Type>
  - - org.eclipse.mat.query.registry.QueryObjectLink.Type

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<QueryObjectLink.Type>`

Enclosing class:
  QueryObjectLink

    public static enum QueryObjectLink.Type
    extends java.lang.Enum<QueryObjectLink.Type>

### Enum Constant Summary

Enum Constants
`DETAIL_RESULT`
`OBJECT`
`QUERY`

### Method Summary

All Methods Static Methods Concrete Methods
`static QueryObjectLink.Type` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QueryObjectLink.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OBJECT

    public static final QueryObjectLink.Type OBJECT

#### QUERY

    public static final QueryObjectLink.Type QUERY

#### DETAIL_RESULT

    public static final QueryObjectLink.Type DETAIL_RESULT

### Method Detail

#### values

    public static QueryObjectLink.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryObjectLink.Type c : QueryObjectLink.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryObjectLink.Type valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null